//---------------------------------------------------------------------------

#ifndef colors_unitH
#define colors_unitH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Grids.hpp>
#include <ValEdit.hpp>

#include "gsconvert.hpp"
//---------------------------------------------------------------------------
class TFrmColors : public TForm
{
__published:	// Von der IDE verwaltete Komponenten
    TValueListEditor *VleColors;
    TButton *BtnOK;
    TButton *BtnCancel;
    TButton *BtnDefault;
    void __fastcall BtnCancelClick(TObject *Sender);
    void __fastcall BtnOKClick(TObject *Sender);
    void __fastcall BtnDefaultClick(TObject *Sender);
    void __fastcall FormKeyDown(TObject *Sender, WORD &Key, TShiftState Shift);
private:	// Benutzer-Deklarationen
    bool accepted;

    void __fastcall readFromCTbl (const agraph::colortable_t* ctbl);
    void __fastcall writeToCTbl (agraph::colortable_t* ctbl);
public:		// Benutzer-Deklarationen
    __fastcall TFrmColors(TComponent* Owner);

    bool __fastcall invoke (agraph::colortable_t* ctbl);
};
//---------------------------------------------------------------------------
extern PACKAGE TFrmColors *FrmColors;
//---------------------------------------------------------------------------
#endif
