//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "grayscalefactors_unit.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TFrmGrayscaleFactors *FrmGrayscaleFactors;
//---------------------------------------------------------------------------
__fastcall TFrmGrayscaleFactors::TFrmGrayscaleFactors(TComponent* Owner)
    : TForm(Owner), accepted (false)
{
}
//---------------------------------------------------------------------------
bool __fastcall TFrmGrayscaleFactors::invoke (agraph::colortograyscalefactor_t& cgsf)
{
    EdtBlueFactor->Text  = AnsiString ().sprintf
        ("%3.3f", static_cast <double> (cgsf.blue_factor));
    EdtGreenFactor->Text = AnsiString ().sprintf
        ("%3.3f", static_cast <double> (cgsf.green_factor));
    EdtRedFactor->Text   = AnsiString ().sprintf
        ("%3.3f", static_cast <double> (cgsf.red_factor));
    accepted = false;

    Position = poMainFormCenter;

    ShowModal ();

    if (accepted)
    {
        cgsf.blue_factor  = EdtBlueFactor->Text.ToDouble ();
        cgsf.green_factor = EdtGreenFactor->Text.ToDouble ();
        cgsf.red_factor   = EdtRedFactor->Text.ToDouble ();
        cgsf.normalize ();
    }

    return accepted;
}
void __fastcall TFrmGrayscaleFactors::BtnCancelClick(TObject *Sender)
{
    Close ();    
}
//---------------------------------------------------------------------------
void __fastcall TFrmGrayscaleFactors::BtnOKClick(TObject *Sender)
{
    accepted = true;
    Close ();    
}
//---------------------------------------------------------------------------
void __fastcall TFrmGrayscaleFactors::FormKeyDown(TObject *Sender, WORD &Key,
      TShiftState Shift)
{
    if (Key == VK_ESCAPE)
        Close ();
}
//---------------------------------------------------------------------------

