object FrmMain: TFrmMain
  Left = 0
  Top = 0
  BorderIcons = [biSystemMenu, biMinimize]
  BorderStyle = bsSingle
  Caption = 'PictureConverter for PV'
  ClientHeight = 387
  ClientWidth = 526
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -11
  Font.Name = 'Tahoma'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  DesignSize = (
    526
    387)
  PixelsPerInch = 96
  TextHeight = 13
  object Label1: TLabel
    Left = 8
    Top = 11
    Width = 20
    Height = 13
    Caption = 'File:'
  end
  object Label6: TLabel
    Left = 8
    Top = 45
    Width = 62
    Height = 13
    Caption = 'PV file name:'
  end
  object EdtFileName: TEdit
    Left = 48
    Top = 8
    Width = 439
    Height = 21
    Anchors = [akLeft, akTop, akRight]
    ReadOnly = True
    TabOrder = 0
  end
  object BtnFileOpen: TButton
    Left = 495
    Top = 6
    Width = 23
    Height = 25
    Anchors = [akTop, akRight]
    Caption = '...'
    TabOrder = 1
    OnClick = BtnFileOpenClick
  end
  object GpbImage: TGroupBox
    Left = 8
    Top = 78
    Width = 377
    Height = 300
    Anchors = [akLeft, akTop, akBottom]
    Caption = 'Picture'
    TabOrder = 2
    object ImgGrayscale: TImage
      Left = 200
      Top = 43
      Width = 160
      Height = 146
    end
    object ImgOriginal: TImage
      Left = 16
      Top = 43
      Width = 160
      Height = 146
    end
    object Label2: TLabel
      Left = 16
      Top = 24
      Width = 76
      Height = 13
      Caption = 'Original picture:'
    end
    object Label3: TLabel
      Left = 200
      Top = 24
      Width = 96
      Height = 13
      Caption = '8-grayscale picture:'
    end
    object Label4: TLabel
      Left = 16
      Top = 208
      Width = 46
      Height = 13
      Caption = 'Contrast:'
    end
    object Label5: TLabel
      Left = 16
      Top = 239
      Width = 54
      Height = 13
      Caption = 'Brightness:'
    end
    object EdtContrast: TEdit
      Left = 84
      Top = 205
      Width = 53
      Height = 21
      TabOrder = 0
      Text = '100'
      OnChange = UpdateGrayscaledFile
    end
    object EdtBrightness: TEdit
      Left = 84
      Top = 236
      Width = 53
      Height = 21
      TabOrder = 1
      Text = '0'
      OnChange = UpdateGrayscaledFile
    end
    object BtnAdjustColors: TButton
      Left = 184
      Top = 203
      Width = 176
      Height = 25
      Caption = 'Adjust colors'
      TabOrder = 2
      OnClick = BtnAdjustColorsClick
    end
    object BtnAdjustFactors: TButton
      Left = 184
      Top = 234
      Width = 176
      Height = 25
      Caption = 'Adjust grayscale conversion'
      TabOrder = 3
      OnClick = BtnAdjustFactorsClick
    end
    object UpdContrast: TUpDown
      Left = 137
      Top = 205
      Width = 15
      Height = 21
      Associate = EdtContrast
      Max = 1000
      Position = 100
      TabOrder = 4
    end
    object UpdBrightness: TUpDown
      Left = 137
      Top = 236
      Width = 15
      Height = 21
      Associate = EdtBrightness
      Min = -2560
      TabOrder = 5
    end
    object ChkFloydSteinberg: TCheckBox
      Left = 16
      Top = 269
      Width = 160
      Height = 17
      Caption = 'Floyd-Steinberg dithering'
      Checked = True
      State = cbChecked
      TabOrder = 6
      OnClick = UpdateGrayscaledFile
    end
    object BtnReset: TButton
      Left = 264
      Top = 265
      Width = 96
      Height = 25
      Caption = 'Reset'
      TabOrder = 7
      OnClick = BtnResetClick
    end
  end
  object BtnClose: TButton
    Left = 397
    Top = 353
    Width = 121
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'Close'
    TabOrder = 5
    OnClick = BtnCloseClick
  end
  object BtnSaveBMP: TButton
    Left = 397
    Top = 71
    Width = 121
    Height = 25
    Anchors = [akTop, akRight]
    Caption = 'Save as BMP file'
    Enabled = False
    TabOrder = 4
    OnClick = BtnSaveBMPClick
  end
  object BtnSaveAGS: TButton
    Left = 397
    Top = 40
    Width = 121
    Height = 25
    Anchors = [akTop, akRight]
    Caption = 'Save as AGS file'
    Enabled = False
    TabOrder = 3
    OnClick = BtnSaveAGSClick
  end
  object Button1: TButton
    Left = 397
    Top = 322
    Width = 121
    Height = 25
    Anchors = [akRight, akBottom]
    Caption = 'About...'
    TabOrder = 6
    OnClick = Button1Click
  end
  object EdtPVFileName: TEdit
    Left = 92
    Top = 42
    Width = 293
    Height = 21
    TabOrder = 7
    OnChange = EdtPVFileNameChange
  end
  object XPManifest: TXPManifest
    Left = 400
    Top = 144
  end
  object SvdAGSFile: TSaveDialog
    Filter = 'AUDACIA GrayScale Picture files (*.ags)|*.ags'
    Options = [ofOverwritePrompt, ofHideReadOnly, ofEnableSizing]
    Left = 400
    Top = 176
  end
  object OpdFile: TOpenPictureDialog
    Filter = 
      'All supported picture files (*.bmp;*.dib;*.ags)|*.bmp;*.dib;*.ag' +
      's|AUDACIA GrayScale Picture files (*.ags)|*.ags|Bitmap files (*.' +
      'bmp;*.dib)|*.bmp;*.dib|All files (*.*)|*.*'
    Left = 464
    Top = 176
  end
  object SvdBMPFile: TSavePictureDialog
    Filter = 'Bitmap files (*.bmp)|*.bmp'
    Left = 432
    Top = 176
  end
end
